package com.rrtx.services.common.utils;

import com.rrtx.fap.starter.translate.convert.BaseConvert;
import org.mapstruct.Named;

public interface TBaseConvert<S, T> extends BaseConvert<S, T> {

    @Named("formatDataTime")
    default String formatDataTime(String dateTime, String param) {
        if(CommonUtil.isEmpty(dateTime)) {
            return "";
        }
        return DateUtil.formatDate(dateTime, DateUtil.FULL_TIME_SPLIT_PATTERN);
    }
}
